%define _legacy_common_support 1

Summary: Plugin for Pidgin that displays the current song in the status
Name: pidgin-musictracker
Version: 0.4.22
Release: %mkrel 12
License: GPLv2+
Group: Networking/Instant messaging
Url: http://code.google.com/p/pidgin-musictracker/
Source0: http://pidgin-musictracker.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch1: pidgin-musictracker-autoconf.patch
BuildRequires: pkgconfig(pidgin)
BuildRequires: pkgconfig(dbus-glib-1) >= 0.73
BuildRequires: gettext-devel
Requires: pidgin

%description
Welcome to musictracker, a plugin for Pidgin which displays the music
track currently playing in your status.

Currently supported players: Amarok, Rhythmbox, Audacious, XMMS,
MPC/MPD, Exaile, Banshee, Quod Libet.


%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-werror --disable-static
%make_build

%install
%make_install
rm -f %buildroot%_libdir/pidgin/musictracker.la

%find_lang musictracker

%files -f musictracker.lang
%doc README NEWS  THANKS AUTHORS
%_libdir/pidgin/musictracker.so


%changelog
* Sat Oct 31 2020 wally <wally> 0.4.22-12.mga8
+ Revision: 1640911
- fix build with autoconf > 2.69

* Sun Aug 30 2020 martinw <martinw> 0.4.22-11.mga8
+ Revision: 1620203
- fix build with GCC 10

* Fri Feb 14 2020 umeabot <umeabot> 0.4.22-10.mga8
+ Revision: 1515944
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.22-9.mga7
+ Revision: 1300270
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 0.4.22-8.mga7
+ Revision: 1245257
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 0.4.22-7.mga6
+ Revision: 931557
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.22-6.mga5
+ Revision: 741102
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.22-5.mga5
+ Revision: 727838
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.22-4.mga5
+ Revision: 687587
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.22-3.mga4
+ Revision: 517454
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.22-2.mga3
+ Revision: 377736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.4.22-1.mga3
+ Revision: 323766
- disable werror

* Mon Aug 29 2011 ovitters <ovitters> 0.4.22-1.mga2
+ Revision: 135957
- clean spec file (mandriva bits, buildroot, name/version/release defines, defattr)
- imported package pidgin-musictracker


* Mon Oct 18 2010 Götz Waschk <waschk@mandriva.org> 0.4.22-1mdv2011.0
+ Revision: 586614
- update to new version 0.4.22

* Thu Mar 04 2010 Götz Waschk <waschk@mandriva.org> 0.4.21-1mdv2010.1
+ Revision: 514116
- disable xmms2 support for Cooker
- new version 0.4.21

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 0.4.20-1mdv2010.0
+ Revision: 447189
- update to new version 0.4.20

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.4.19-1mdv2010.0
+ Revision: 390502
- update to new version 0.4.19

* Tue May 12 2009 Götz Waschk <waschk@mandriva.org> 0.4.18-1mdv2010.0
+ Revision: 374909
- new version

* Tue Apr 28 2009 Götz Waschk <waschk@mandriva.org> 0.4.17-1mdv2010.0
+ Revision: 369099
- update to new version 0.4.17

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 0.4.16-1mdv2009.1
+ Revision: 357842
- update to new version 0.4.16

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.4.15-1mdv2009.1
+ Revision: 347586
- new version
- drop patch
- disable moc debug output

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.4.14-1mdv2009.1
+ Revision: 328585
- update to new version 0.4.14

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 0.4.13-1mdv2009.1
+ Revision: 327423
- new version
- drop patch
- upate file list

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 0.4.12-1mdv2009.1
+ Revision: 309962
- update to new version 0.4.12

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.4.11-1mdv2009.1
+ Revision: 293544
- new version

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 0.4.10-1mdv2009.0
+ Revision: 287739
- new version
- drop patch 1
- bump dbus-glib dep

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 0.4.8-2mdv2009.0
+ Revision: 286523
- fix crash with audacious

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdv2009.0
+ Revision: 286292
- new version
- update name and URLs
- fix build
- update build deps

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2009.0
+ Revision: 230929
- import pidgin-musictracker


